On APs the ClLinesToNbDis was being left enabled from CAR setup. Disabling it should help performance.

Signed-off-by: Marc Jones <marc.jones@amd.com>


Index: coreboot-v2/src/cpu/amd/model_10xxx/init_cpus.c
===================================================================
--- coreboot-v2.orig/src/cpu/amd/model_10xxx/init_cpus.c	2008-04-23 17:08:42.000000000 -0600
+++ coreboot-v2/src/cpu/amd/model_10xxx/init_cpus.c	2008-04-23 17:11:01.000000000 -0600
@@ -295,6 +295,13 @@
 
 static void STOP_CAR_AND_CPU()
 {
+	msr_t msr;
+
+	/* Disable L2 IC to L3 connection (Only for CAR) */
+	msr = rdmsr(BU_CFG2);
+	msr.lo &= ~(1 << ClLinesToNbDis);
+	wrmsr(BU_CFG2, msr);
+
 	disable_cache_as_ram(); // inline
 	stop_this_cpu();
 }
